
//========================================================================================
//==========================  procédure  d_digi_scicos_AInf() ==============================
// load Xcos libraries when not already loaded.
if ~exists("scicos_diagram") then loadXcosLibs(); end


function [x,y,typ]=SciCos_Digi_AInf(job,arg1,arg2)
//
x=[];y=[];typ=[];
select job
case 'plot' then
  standard_draw(arg1)
  
case 'getinputs' then
  [x,y,typ]=standard_inputs(arg1)
  
case 'getoutputs' then
  [x,y,typ]=standard_outputs(arg1)

case 'getorigin' then
  [x,y]=standard_origin(arg1)

case 'set' then
//  message(sci2exp(arg1))
  x=arg1
  model=arg1.model
  graphics=arg1.graphics
  exprs=graphics.exprs
  
//   disp(' set : before begining while')
  while %t do
    [ok,numCarte,portNum,gain]=..
        scicos_getvalue('Set Dimigetrie Block parameters'..
            ,['Numéro de carte';'Numero de voie';'Gain']..
            ,list('vec',1,'vec',1,'vec',1)..            // Définition des types des données
            ,exprs)                             // Valeurs initiales des données
        
    if ~ok then break,end
	
	// Vérifie le model
    [model,graphics,ok]=check_io(model,graphics,[],[1],[1],[])  // 4 derniers arguments => nbIn,nbOut,nbEvtIn,nbEvtOut
    
	// Vérifie que la carte choisie existe dans le systeme
	err = digi_TestParam(numCarte,0,0);
	if( err <> 0 ) then message('Erreur : aucun carte Digimétrie UsbLab12 ayant ce numéro (ou carte déjà utilisée par un autre processus)');ok=%f;end
  
	// Vérifie que la voie choisie peut faire de l'AInf
	err = digi_TestParam(numCarte,portNum,1);
	if( err <> 0 ) then message('Erreur : numéro de voie invalide pour un opération Ain' );ok=%f;end
  
	// Vérifie le gain
    if gain <> 1 & gain <> 2 & gain <> 4 & gain <> 8 then message('Erreur : La valeur du gain doit être entre parmi [1;2;4;8]');ok=%f;end
//    printf("gain = %i\n", gain )
    
	// Si tout est bon
    if ok then
      model.ipar=[numCarte;portNum;gain]
      //      needcompile=4     AVERIFIER CANEMARCHE QU AVEC FORTRAN
      graphics.exprs=[string([numCarte;portNum;gain])];
      x.graphics=graphics;
      x.model=model;
      break
    end
  end
  needcompile=resume(needcompile)
  
case 'define' then
  model=scicos_model()
  junction_name='digi_scicos_AInf'
  funtyp=4
  numCarte=0
  portNum=0
  gain=1
  
  model.sim=list(junction_name,funtyp)
  model.in=[]
  model.out=[1]
  model.outtyp=[1]
  model.evtin=[1]
  model.evtout=[]
  model.state=[]
  model.dstate=[]
  model.rpar=[]
  model.ipar=[numCarte;portNum;gain]
  model.blocktype='c' 
  model.dep_ut=[%t %f]
  exprs=[string([numCarte;portNum;gain])];
  gr_i=['xstringb(orig(1),orig(2),''AInf '',sz(1),sz(2),''fill'');']
  x=standard_define([4 2],model,exprs,gr_i)
end
endfunction

