
//========================================================================================
//==========================  procédure  d_digi_scicos_AOutf() ==============================
// load Xcos libraries when not already loaded.
if ~exists("scicos_diagram") then loadXcosLibs(); end


function [x,y,typ]=SciCos_Digi_AOutf(job,arg1,arg2)
//
x=[];y=[];typ=[];
select job
case 'plot' then
  standard_draw(arg1)
case 'getinputs' then
  [x,y,typ]=standard_inputs(arg1)
case 'getoutputs' then
  [x,y,typ]=standard_outputs(arg1)
case 'getorigin' then
  [x,y]=standard_origin(arg1)
case 'set' then
//  message(sci2exp(arg1))
  x=arg1
  model=arg1.model
  graphics=arg1.graphics
  exprs=graphics.exprs
  
  if size(exprs,'*')==14 then exprs(9)=[],end //compatiblity
//   disp(' set : before begining while')
  while %t do
    [ok,numCarte,portNum]=..
        scicos_getvalue('Set Dimigetrie Block parameters'..
            ,['Numéro de carte';'Numero de voie']..
            ,list('vec',1,'vec',1)..            // Définition des types des données
            ,exprs)                             // Valeurs initiales des données
	
    if ~ok then break,end
	
	// Vérifie le model
    [model,graphics,ok]=check_io(model,graphics,[1],[],[],[])  // 4 derniers arguments => nbIn,nbOut,nbEvtIn,nbEvtOut
    
	// Vérifie que la carte choisie existe dans le systeme
	err = digi_TestParam(numCarte,0,0);
	if( err <> 0 ) then message('Erreur : aucun carte Digimétrie ayant ce numéro (ou carte déjà utilisée par un autre processus)');ok=%f;end
  
	// Vérifie que la voie choisie peut faire de l'AOutf
	err = digi_TestParam(numCarte,portNum,2);
	if( err <> 0 ) then message('Erreur : numéro de voie invalide pour un opération AOut' );ok=%f;end
  
	// Si tout est bon
    if ok then
      model.rpar=[]
      model.ipar=[numCarte;portNum]
      //      needcompile=4     AVERIFIER CANEMARCHE QU AVEC FORTRAN
      model.firing=[]
      model.dep_ut=[%f %t]
      arg1.model=model
      graphics.exprs=[string([numCarte;portNum])]
      arg1.graphics=graphics
      x=arg1
      break
    end
  end
  needcompile=resume(needcompile)
  
case 'define' then
  model=scicos_model()
  junction_name='digi_scicos_AOutf'
  funtyp=4
  numCarte=0
  portNum=0
  
  model.sim=list(junction_name,funtyp)
  model.in=[1]
  model.in2=[1]
  model.intyp=[1]
  model.out=[]
  model.evtin=[]
  model.evtout=[]
  model.state=[]
  model.dstate=[]
  model.rpar=[]
  model.ipar=[numCarte;portNum]
  model.blocktype='c' 
  model.dep_ut=[%f %t]
  exprs=[string([numCarte;portNum])]
  gr_i = ['xstringb(orig(1),orig(2),''AOutf '',sz(1),sz(2),''fill'');']
  x=standard_define([4 2],model,exprs,gr_i)
end
endfunction

