
//========================================================================================
//==========================  procédure  d_digi_scicos_BIn() ==============================
// load Xcos libraries when not already loaded.
if ~exists("scicos_diagram") then loadXcosLibs(); end


function [x,y,typ]=SciCos_Digi_BIn(job,arg1,arg2)
//
x=[];y=[];typ=[];
select job
case 'plot' then
  standard_draw(arg1)
case 'getinputs' then
  [x,y,typ]=standard_inputs(arg1)
case 'getoutputs' then
  [x,y,typ]=standard_outputs(arg1)
case 'getorigin' then
  [x,y]=standard_origin(arg1)
case 'set' then
//  message(sci2exp(arg1))
  x=arg1
  model=arg1.model
  graphics=arg1.graphics
  exprs=graphics.exprs
  
  if size(exprs,'*')==14 then exprs(9)=[],end //compatiblity
//   disp(' set : before begining while')
  while %t do
    [ok,numCarte,ligneNum]=..
        scicos_getvalue('Set Dimigetrie BIn-Block parameters'..
            ,['Numéro de carte';'Numero de ligne']..
            ,list('vec',1,'vec',1)..            // Définition des types des données
            ,exprs)                             // Valeurs initiales des données
        
    if ~ok then break,end
	
	// Vérifie le model
    [model,graphics,ok]=check_io(model,graphics,[],[1],[1],[])  // 4 derniers arguments => nbIn,nbOut,nbEvtIn,nbEvtOut
    
	// Vérifie que la carte choisie existe dans le systeme
	err = digi_TestParam(numCarte,0,0);
	if( err <> 0 ) then message('Erreur : aucun carte Digimétrie ayant ce numéro (ou carte déjà utilisée par un autre processus)');ok=%f;end
  
	// Vérifie le ligneNum
    if ligneNum < 0 | ligneNum > 7 then message('Erreur : Le numéro de ligne doit être dans [0..7]');ok=%f;end

	// Si tout est bon
    if ok then
      model.rpar=[]
      model.ipar=[numCarte;ligneNum]
      //      needcompile=4     AVERIFIER CANEMARCHE QU AVEC FORTRAN
      model.firing=[]
      model.dep_ut=[%t %f]
      arg1.model=model
      graphics.exprs=[string([numCarte;ligneNum])]
      arg1.graphics=graphics
      x=arg1
      break
    end
  end
  needcompile=resume(needcompile)
  
case 'define' then
  model=scicos_model()
  junction_name='digi_scicos_BIn'
  funtyp=4
  numCarte=0
  ligneNum=0
  
  model.sim=list(junction_name,funtyp)
  model.in=[]
  model.out=[1]
  model.outtyp=[1]
  model.evtin=[1]
  model.evtout=[]
  model.state=[]
  model.dstate=[]
  model.rpar=[]
  model.ipar=[numCarte;ligneNum]
  model.blocktype='c' 
  model.dep_ut=[%t %f]
  exprs=[string([numCarte;ligneNum])]
  gr_i = ['xstringb(orig(1),orig(2),''BIn '',sz(1),sz(2),''fill'');']
  x=standard_define([3 2],model,exprs,gr_i)
end
endfunction

