/*
 * DigiDefs_Cartes.def.h
 * 
 * Copyright (c) 2011, Digimetrie. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301  USA
 */

/*
		Dfinition des identifiants des cartes Digimtries			
		Les lments de la liste sont formats comme suit :			
		D_CARTE_DIGI( ID_CARTE, NUM_CARTE, STRING_CARTE, DLL_CARTE )
		Avec :														
		ID_CARTE : un identifiant C valant NUM_CARTE				
		STRING_CARTE : nom de la carte								
		DLL_CARTE : Dll ncessaire  la carte						
																	
	 Cf. les fonctions GetCarteNom() et GetCarteDll()				
*/

D_CARTE_DIGI( PC_PIA2T,			1,   "PC-PIA2/T",			"PC_PIA2T32.dll" )
D_CARTE_DIGI( PC_PIA2TW,        2,	 "PC_PIA2TW",			"NO_DLL" )
D_CARTE_DIGI( PC_PIA,			3,   "PC-PIA",				"PC_PIA32.dll" )
D_CARTE_DIGI( PC_PIO,			4,   "PC-PIO",				"PC_PIO32.dll" )
D_CARTE_DIGI( PC_PIT,			10,  "PC_PIT",				"PC_PIT32.dll" )

D_CARTE_DIGI( PC_TOR24,			18,  "PC-TOR24",			"PC_TOR24-32.dll" )
D_CARTE_DIGI( PC_TOR48,			20,  "PC-TOR48",			"PC_TOR48-32.dll" )
D_CARTE_DIGI( PC_TOR120,		25,  "PC-TOR120",			"PC_TOR120-32.dll" )

D_CARTE_DIGI( PC_OPTO18,		50,  "PC-OPTO 18",			"PC_OPTO32.dll" )
D_CARTE_DIGI( PC_RELAI16,		60,  "PC-RELAI 16",			"PC_RELAI32.dll" )
D_CARTE_DIGI( PC_ROPTO,			65,  "PC-ROPTO",			"PC_ROPTO32.dll" )
D_CARTE_DIGI( PC_COMPT,			69,  "PC_COMPT",			"NO_DLL" )
D_CARTE_DIGI( PC_OCTOTIM,		70,  "PC_OCTOTIM",			"NO_DLL" )
D_CARTE_DIGI( PC_TIM2,			71,  "PC_TIM2",				"NO_DLL" )
D_CARTE_DIGI( PC_MICROLAB,		72,  "MicroLab",			"MicroLab32.dll" )

D_CARTE_DIGI( NANOLOGGER,		75,  "NanoLogger/parallle","NanoP32.dll" )
D_CARTE_DIGI( NANOLOGGER_S,		76,  "NanoLogger/srie",	"NanoS32.dll" )
D_CARTE_DIGI( NANOLOGGER_USB,	77,  "NanoLogger/Usb",		"NANOUSB.DLL" )
D_CARTE_DIGI( NANOLOGGERP_USB,	78,  "NanoLogger/P-Usb",		"USBNLGP.DLL" )

D_CARTE_DIGI( PC_IOT96,			80,  "PC-IOT96",			"PC_IOT32.dll" )

D_CARTE_DIGI( PC_LABD,			100, "PC-LABD",				"PC_LAB32.dll" )
D_CARTE_DIGI( PC_ADC12B16V,		101, "PC-ADC 12B 16V",		"digitolw32.dll" )
D_CARTE_DIGI( PC_LAB,			102, "PC-LAB",				"PC_LAB32.dll" )
D_CARTE_DIGI( PC_ADC20000,		110, "PC-ADC 20000",		"digitolw.dll" )
D_CARTE_DIGI( PC_ADC12B8V,		120, "PC-ADC 12B  8V",		"digitolw32.dll" )
/*D_CARTE_DIGI( PC_ADC12B8VD,	120, "PC-ADC 12B  8V /D",	"digitolw32.dll" )*/
D_CARTE_DIGI( PC_104COND,		130, "PC_104COND",			"NO_DLL" )
D_CARTE_DIGI( PC_ADC12B32V,		150, "PC_ADC12B32V",		"NO_DLL" )

D_CARTE_DIGI( PC_DAC12B4V,		151, "PC-DAC 12B  4V",		"PCDAC12B32.dll" )

	/* CARTES AVEC DMA */
D_CARTE_DIGI( AT_LAB12B,		160, "AT-LAB 12B",			"AT_LAB32.dll" )
D_CARTE_DIGI( AT_LAB12BS,		161, "AT-LAB 12BS",			"AT_LAB32.dll" )
D_CARTE_DIGI( AT_LAB12BR,		164, "AT-LAB 12BR",			"AT_LAB32.dll" )
D_CARTE_DIGI( AT_LAB12BRS,		165, "AT-LAB 12BRS",		"AT_LAB32.dll" )

D_CARTE_DIGI( AT_LAB16B,		166, "AT-LAB 16B",          "AT_LAB32.dll" )
D_CARTE_DIGI( AT_LAB16BS,		167, "AT-LAB 16BS",         "AT_LAB32.dll" )

D_CARTE_DIGI( AT_104LAB12B,		200, "AT_104LAB12B",		"104labi32.dll" )
D_CARTE_DIGI( AT_104LAB16B,		205, "AT_104LAB16B",		"NO_DLL" )

D_CARTE_DIGI( USB_DIGI_EDUC,	300	,"USB_Digimetre-Educ",	"USB_Digi-Educ.dll")


	/* DIVERS */
D_CARTE_DIGI( PC_SCSI,			400, "PC_SCSI",				"NO_DLL" )
D_CARTE_DIGI( PC_JBUS,			410, "PORT-JBUS",			"digi_jbus.DLL" )

D_CARTE_DIGI( PC_ACOM485,		420, "PC_ACOM485",			"NO_DLL" )
D_CARTE_DIGI( PC_ETHERNET,		440, "PC_ETHERNET",			"NO_DLL" )
D_CARTE_DIGI( PC_TCPIP,			442, "PC_TCPIP",			"NO_DLL" )


D_CARTE_DIGI( MICROPC,			450, "MicroPC",				"MicroPC32.DLL" )
D_CARTE_DIGI( MICROLOGGER,		470, "MicroLogger",			"MICROLGR32.DLL" )

D_CARTE_DIGI( LG104LAB,			472, "LG104LAB",			"NO_DLL" )
D_CARTE_DIGI( PC_VIGIL,			480, "PC_VIGIL",			"NO_DLL" )

D_CARTE_DIGI( PC_CUSTOM1,		500, "PC-CUSTOM 1",			"NO_DLL" )
D_CARTE_DIGI( PC_CUSTOM2,		501, "PC-CUSTOM 2",			"NO_DLL" )

D_CARTE_DIGI( CANDIBUS,			510, "CANDIBUS",			"NO_DLL" )
D_CARTE_DIGI( FASTLAB,			511, "FASTLAB",				"NO_DLL" )

D_CARTE_DIGI( USB_LAB12,		512, "USB-LAB1xB/x",			"USBLAB12.dll" )
/*     D_CARTE_DIGI( USB_LAB_LP,		512, "USB_LAB_LP",			"USBLAB12.dll" ) */
D_CARTE_DIGI( USB2_LAB,			513, "USB-LABR1xB/x/x",			"USBLABR.dll" )
/*     D_CARTE_DIGI( USB_LABR,			513, "USB_LABR"   ,         "USBLABR.dll" )  */
D_CARTE_DIGI( USB_NANOLABL,		90,  "USB_NANOLABL",		"USBNLBL.dll" )
D_CARTE_DIGI( USB_NANOLABH,		91,  "USB-NanoLab /H",		"USBnlbH.dll" )
D_CARTE_DIGI( USB_ROPTO16,		93,  "USB-Ropto16",			"usbropt.dll" )
D_CARTE_DIGI( PCI_LAB12B,		520, "PCI_LAB",             "PCILabNT.dll" )
D_CARTE_DIGI( PCI_MICROLAB,		530, "PCI_MICROLAB",        "PCIMicNT.dll" )
D_CARTE_DIGI( PCI_TOR48,		550, "PCI_TOR48",           "PCITorNT.dll" )
D_CARTE_DIGI( PCI_OPTO18V,		560, "PCI_OPTO18V",			"PCIOptNT.dll" )
D_CARTE_DIGI( PCI_DAC,			570, "PCI_DAC",				"NO_DLL" )

D_CARTE_DIGI( DIGI_COM,			600, "PORT_COM",			"DIGICOM32.DLL" )

/* CARTES D'EXTENSION */
D_CARTE_DIGI( EX_MUX,			601, "EX_MUX",				"NO_DLL" )
D_CARTE_DIGI( EX_THERMO,		602, "EX_THERMO",			"NO_DLL" )
D_CARTE_DIGI( EX_VOCAL,			603, "EX_VOCAL",			"NO_DLL" )
D_CARTE_DIGI( EX_ISO,			604, "EX_ISO",				"NO_DLL" )
D_CARTE_DIGI( EX_RELAI,			605, "EX_RELAI",			"NO_DLL" )
D_CARTE_DIGI( EX_BIO,			606, "EX_BIO",				"NO_DLL" )

D_CARTE_DIGI( DIGI_ZIGBEE,	    700, "DIG_ZIGBEE",			"DigiZigBee.DLL" )

#undef D_CARTE_DIGI


// Les valeurs des identifiants de ces Cartes font doublons avec une autre carte
// USB_LAB_LP	->	USB_LAB12
// USB_LABR		->	USB2_LAB
// PCI_OPTO16V  ->	PCI_OPTO18V
