/*
 * DigiDefs_Errors.def.h
 * 
 * Copyright (c) 2011, Digimetrie. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301  USA
 */

/*!	Dfinition des erreurs renvoys par les fonctions Digimtrie
	Les lments de la liste sont formats comme suit :			
	D_DIGI_ERR( ID_ERREUR, NUM_ERREUR, STRING_CARTE, DLL_CARTE )
	Avec :														
	ID_ERREUR : identifiant C de l'erreur valant NUM_ERREUR		
	STRING_ERREUR : chaine decrivant l'erreur					
																
 Cf. la fonction Digi_GetErrorString()								
*/

D_DIGI_ERR( ERR_DT_OK,							  0, "Pas d'erreur" )

D_DIGI_ERR( ERR_DT_ESC,							 -1, "Avertissement : Retour touche escape" )
D_DIGI_ERR( ERR_DT_END,							 -2, "Avertissement : Retour fin" )
D_DIGI_ERR( ERR_DT_F10,							 -3, "Avertissement : Retour touche F10 BREAK" )
D_DIGI_ERR( ERR_DT_WNONDEV,						-31, "Avertissement : Fonction non developpee" )
D_DIGI_ERR( ERR_DT_WTIMEOUT,					-35, "Avertissement : timeout sur transfert I/O" )
D_DIGI_ERR( ERR_DT_WSYNCHRO,					-23, "Avertissement : erreur sur synchro possible" )

D_DIGI_ERR( ERR_DT_INIT,						  1, "Erreur : Carte non initialisee" )
D_DIGI_ERR( ERR_DT_CARTE,						  2, "Erreur : Identifiant de carte invalide pour cette Dll" )
D_DIGI_ERR( ERR_DT_CONFIG,						  3, "Erreur : Configuration invalide" )
D_DIGI_ERR( ERR_DT_IO,							  4, "Erreur : Probleme d'entree sortie" )

D_DIGI_ERR( ERR_DT_VOIE,						  5, "Erreur : sur le numero de la voie" )
D_DIGI_ERR( ERR_DT_NVOIES,						  6, "Erreur : sur le nombre de voie" )
D_DIGI_ERR( ERR_DT_GAIN,						  9, "Erreur : sur la valeur du gain" )
D_DIGI_ERR( ERR_DT_CONV,						 10, "Erreur : du convertisseur AD" )

D_DIGI_ERR( ERR_DT_FREQUENCE,					 12, "Erreur : sur la frequence" )
D_DIGI_ERR( ERR_DT_MODE,						 15, "Erreur : mode inconnu" )
D_DIGI_ERR( ERR_DT_SYNTAXE,						 16, "Erreur : de syntaxe" )
D_DIGI_ERR( ERR_DT_CHAINE,						 17, "Erreur : chaine invalide" )
D_DIGI_ERR( ERR_DT_TYPE,						 18, "Erreur : type de donnee invalide" )
D_DIGI_ERR( ERR_DT_MEMOIRE,						 19, "Erreur : d acces ou de taille memoire" )
D_DIGI_ERR( ERR_DT_DISQUE,						 20, "Erreur : acces disque" )
D_DIGI_ERR( ERR_DT_FICHIER,						 21, "Erreur : ouverture fermeture fichier" )
D_DIGI_ERR( ERR_DT_FONCTION,					 22, "Erreur : fonction indisponible" )
D_DIGI_ERR( ERR_DT_SYNCHRO,						 23, "Erreur : sur synchro" )
D_DIGI_ERR( ERR_DT_FIFOPLEINE,					 24, "Erreur : perte de donnees" )
D_DIGI_ERR( ERR_DT_ENOMEM,						 25, "Erreur : Inconnue ou plus de memoire" )
D_DIGI_ERR( ERR_DT_DMA,							 26, "Erreur : sur transfert DMA" )
D_DIGI_ERR( ERR_DT_ALLOC,						 27, "Erreur : echec d'allocation memoire" )
D_DIGI_ERR( ERR_DT_IRQ,							 28, "Erreur : numero d'IRQ invalide" )
D_DIGI_ERR( ERR_DT_TIMER,						 29, "Erreur : chargement timer" )
D_DIGI_ERR( ERR_DT_DLL,							 30, "Erreur : Inconnue et critique de la DLL" )
D_DIGI_ERR( ERR_DT_COMMANDE,					 31, "Erreur : commande invalide" )

D_DIGI_ERR( ERR_DT_INITCOM,						 32, "Erreur : Echec de l'initialisation du port COM" )
D_DIGI_ERR( ERR_DT_INITFIP,						 33, "Erreur : Echec d'initialisation du reseau FIP" )
D_DIGI_ERR( ERR_DT_INITETHERNET,				 34, "Erreur : Eche d'initialisation du reseau ethernet" )

D_DIGI_ERR( ERR_DT_TIMEOUT,						 35, "Erreur : timeout apres fonction synchrone" )
D_DIGI_ERR( ERR_DT_OVERFLOW,					 36, "Erreur : Debordement de buffer" )
D_DIGI_ERR( ERR_DT_STRING,						 37, "Erreur : Chaine Invalide" )
D_DIGI_ERR( ERR_DT_LIAISON,						 38, "Erreur : liaison PC-CARTE" )

D_DIGI_ERR( ERR_DT_COM,							 40, "Erreur : Probleme de communication du port COM" )
D_DIGI_ERR( ERR_DT_WF,							 41, "Erreur : Echec d'un Write File" )
D_DIGI_ERR( ERR_DT_RF,							 42, "Erreur : Echec d'un Read File" )
D_DIGI_ERR( ERR_DT_IOCTL,						 43, "Erreur : Echec d'un IOCTL File" )

D_DIGI_ERR( ERR_DT_LECMEM,						 44, "Erreur : lecture memoire" )

D_DIGI_ERR( ERR_DT_IO_V,						 45, "Erreur : d'entree sortie vendor request" )
D_DIGI_ERR( ERR_DT_IO_BR,						 46, "Erreur : d'entree sortie BULK READ" )
D_DIGI_ERR( ERR_DT_IO_BW,						 47, "Erreur : d'entree sortie BULK WRITE" )

/* Erreurs ajoutees pour la PCILab */
D_DIGI_ERR( ERR_DT_NUMCARTE,					 50, "Erreur : numero de carte invalide" )
D_DIGI_ERR( ERR_DT_PARAMETRE,					 51, "Erreur : paramatre(s) invalide(s)" )
D_DIGI_ERR( ERR_DT_ADRESSE,						 52, "Erreur : adresse invalide" )
D_DIGI_ERR( ERR_DT_CARTE_ABSENTE,				 53, "Erreur : aucune carte detectee" )
D_DIGI_ERR( ERR_DT_STOP,						 54, "Erreur : le scan est stoppe" )
D_DIGI_ERR( ERR_DT_NUMLIGNE,					 55, "Erreur : numero de ligne invalide" )

D_DIGI_ERR( ERR_DT_PORT,						 60, "Erreur : numero de port invalide" )
D_DIGI_ERR( ERR_DT_NPORTS,						 61, "Erreur : nombre de ports invalide" )
D_DIGI_ERR( ERR_DT_COMPOSANT,					 62, "Erreur : numero de composant invalide" )
D_DIGI_ERR( ERR_DT_BIT,							 63, "Erreur : numero de bit invalide" )

D_DIGI_ERR( ERR_DT_FULL_BUFFER,					 70, "Erreur : l'acquisition n'a pas eu le temps de vider le buffer" )

D_DIGI_ERR( ERR_DT_EVENT,						 80, "Erreur : Echec de creation d'evenement" )
D_DIGI_ERR( ERR_DT_THREAD,						 81, "Erreur : Echec de creation de thread" )
D_DIGI_ERR( ERR_DT_IN_USE,						 82, "Erreur : la fonction appellee est en cours d'utilisation" )
D_DIGI_ERR( ERR_DT_EVENT_NOT_USED,				 83, "Erreur : ce type d'evenement n'est pas gere par la Dll" )

D_DIGI_ERR( ERR_DT_MEM_TAMPON,					 90, "Erreur : taille du tampon invalide" )
D_DIGI_ERR( ERR_DT_CALIB,						 95, "Erreur : survenue lors de la calibration" )

D_DIGI_ERR( ERR_DT_INITDLL,						101, "Erreur : Echec de l'initialisation de la DLL" )
D_DIGI_ERR( ERR_DT_INITCARTE,					103, "Erreur : Echec de l'initialisation de la carte" )
D_DIGI_ERR( ERR_DT_BAD_INIT,					105, "Erreur : Carte mal initialisee" )

D_DIGI_ERR( ERR_DT_COM_TIMEOUT,					120, "Erreur : timeout sur transfert COM" )
D_DIGI_ERR( ERR_DT_COM_INIT,					121, "Erreur : Port COM mal initialise" )

D_DIGI_ERR( ERR_DT_FIP_INIT,					130, "Erreur : Reseau FIP mal initialise" )
D_DIGI_ERR( ERR_DT_ETHER_INIT,					140, "Erreur : Reseau ethernet mal initialise" )

D_DIGI_ERR( ERR_DT_BUG,							200, "Erreur : Bug dans la Dll" )
D_DIGI_ERR( ERR_DT_HANDLE,						201, "Erreur : Probleme avec un Handle " )
D_DIGI_ERR( ERR_DT_LOCKED,						202, "Erreur : La station est verrouillee par un autre processus/thread" )
D_DIGI_ERR( ERR_DT_SEMAPHORE_CREATION,			204, "Erreur : Echec de la creation d'un semaphore" )
D_DIGI_ERR( ERR_DT_SEMAPHORE_WAIT,				206, "Erreur : Echec de l'attente sur un semaphore" )
D_DIGI_ERR( ERR_DT_SEMAPHORE_INVALID,			208, "Erreur : Utilisation d'un semaphore invalide" )
D_DIGI_ERR( ERR_DT_THREAD_DEAD,					210, "Erreur : Un thread vital pour l'operation est mort" )
D_DIGI_ERR( ERR_DT_THREAD_RUNNING,				211, "Erreur : Un thread devant etre mort est encore vivant" )
D_DIGI_ERR( ERR_DT_SEQUENCE,					212, "Erreur : Les fonctions n'ont pas ete appelee dans le bon ordre" )

D_DIGI_ERR( ERR_DT_FONCTION_NDEV,				213, "erreur : Fonction non developpee" )
D_DIGI_ERR( ERR_DT_MONITOR_INCOMPATIBLE,		214, "erreur : Le firmware de la carte ne permet pas cette opration" )

/* Erreurs du Reseau */
D_DIGI_ERR( ERR_DT_NET_BUG,						300, "Erreur : Bug en rapport avec le reseau" )
D_DIGI_ERR( ERR_DT_NET_MULTIPLE,				302, "Erreur : multiples erreurs detectees" )
D_DIGI_ERR( ERR_DT_NET_STATE_INVALID,			304, "Erreur : etat du reseau invalide" )
D_DIGI_ERR( ERR_DT_NET_NOT_IMPLEMENTED,			306, "Erreur : Function reseau non implementee" )
D_DIGI_ERR( ERR_DT_NET_DLL_DANS_LES_CHOUX,		308, "Erreur : l'aspect reseau de la Dll est plante" )
D_DIGI_ERR( ERR_DT_NET_MESSAGE_INVALID,			310, "Erreur : message reseau recu/emis invalide" )
D_DIGI_ERR( ERR_DT_NET_DESTINATAIRE_INVALID,	312, "Erreur : le destinataire d'un message est invalide" )
D_DIGI_ERR( ERR_DT_NET_EMETEUR_INVALID,			314, "Erreur : l'emetteur d'un message est invalide" )
D_DIGI_ERR( ERR_DT_NET_CREATE_SEMAPHORE_ERROR,	316, "Erreur : echec d'une creation d'un semaphore" )
D_DIGI_ERR( ERR_DT_NET_SEMAPHORE_ERROR,			318, "Erreur : echec d'une manipulation d'un semaphore" )
D_DIGI_ERR( ERR_DT_NET_BAD_FRAME_RECEIVED,		320, "Erreur : message recu malforme" )
D_DIGI_ERR( ERR_DT_NET_THREADLISTENER,			322, "Erreur : levee par le thread ecouteur " )
D_DIGI_ERR( ERR_DT_NET_THREADDISPATCHER,		324, "Erreur : levee par le thread dispatcheur" )
D_DIGI_ERR( ERR_DT_NET_THREADS,					326, "Erreur : probleme avec les threads reseaux de la Dll" )
D_DIGI_ERR( ERR_DT_NET_TIMER,					328, "Erreur : problement avec les timers ou le thread timer du reseau" )
D_DIGI_ERR( ERR_DT_NET_TX_ERROR,				330, "Erreur : echec d'un transfert reseau" )
D_DIGI_ERR( ERR_DT_NET_CMD_ERROR,				332, "Erreur : echec d'une commande reseau" )
D_DIGI_ERR( ERR_DT_NET_NET_ERROR,				334, "Erreur : le reseau a leve une erreur" )
D_DIGI_ERR( ERR_DT_NET_INIFILE_INVALID,			336, "Erreur : fichier ini invalide" )

/* Erreurs Sur un Element du Reseau */
D_DIGI_ERR( ERR_DT_NETELT__UNINITIALISED,		400, "Erreur : le NetElt est non initialise" )
D_DIGI_ERR( ERR_DT_NETELT__CONFIG_NOT_YET_FINISH,402, "Erreur : le NetElt n'a pas fini d'etre configure" )
D_DIGI_ERR( ERR_DT_NETELT__MSG_NOT_WELCOME,		404, "Erreur : message inaproprie recu par un NetElt" )
D_DIGI_ERR( ERR_DT_NETELT__DISPARITION,			406, "Erreur : le NetElt a disparu du reseau" )
D_DIGI_ERR( ERR_DT_NETELT__DEFECTUEUX,			408, "Erreur : le NetElt est defectueux" )
D_DIGI_ERR( ERR_DT_NETELT__STATE_INVALID,		410, "Erreur : le NetElt est dans un etat invalide" )
D_DIGI_ERR( ERR_DT_NETELT__UNKNOWN,				412, "Erreur : inconnue, relative a un NetElt" )
D_DIGI_ERR( ERR_DT_NETELT__INCAPABLE,			414, "Erreur : le NetElt est incapable d'effectuer ce qui lui est demande" )
D_DIGI_ERR( ERR_DT_NETELT__SLEEPING,			416, "Erreur : le NetElt est en train de dormir" )
D_DIGI_ERR( ERR_DT_NETELT__NO_SAMPLE,			418, "Erreur : aucun sample disponible pour ce NetElt" )
D_DIGI_ERR( ERR_DT_NETELT__INVALID_FRAME,		419, "Erreur : aucun sample disponible pour ce NetElt" )

/* Erreurs Specifiques au Reseau ZigBee */
D_DIGI_ERR( ERR_DT_ZB__WARNING,					500, "Erreur : ZigBee : Avertissement" )
D_DIGI_ERR( ERR_DT_ZB__WARNING_WAIT_FORBIDDEN,	502, "Erreur : ZigBee : Avertissement, attente interdite" )
D_DIGI_ERR( ERR_DT_ZB__COORD_ERROR,				504, "Erreur : ZigBee : levee par le coordinateur" )
D_DIGI_ERR( ERR_DT_ZB__BAD_LOCAL_NETELT_FIRMWARE,506, "Erreur : ZigBee : le firmware du Netelt local n'est pas utilisable" )

/* Erreur Diverses et nouvelles */
D_DIGI_ERR( ERR_DT_FILE_CONFIG,					700, "Erreur : Fichier de Configuration invalide" )

#undef D_DIGI_ERR

