/*
 * DigiDefs_Events.def.h
 * 
 * Copyright (c) 2011, Digimetrie. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301  USA
 */

/*
		Dfinition des evenement utiliss par les fonctions Digimtrie
		Les lments de la liste sont formats comme suit :			
		X_DIGI_EVT( ID_EVT, NUM_EVT, STR_DESCRIPTIVE )				
		Avec :														
		ID_EVT : identifiant C d'evenement ayant pour valeur NUM_EVT
		STR_DESCRIPTIVE : chaine decrivant l'evenement				
																	
	 Cf. la fonction GetEventString()								
*/


/* le extend du CB est un int identifiant le type du trigger (ex: DT_AD_TRGIH, DT_AD_TRGIB, etc...) */
X_DIGI_EVT( EVT_TRIGGER_START,				  1,	"Dpart d'un dclencheur" )

/* comme EVT_TRIGGER_START */
X_DIGI_EVT( EVT_TRIGGER_END,				  2,	"Arrt d'un dclenchemeur")

/* le extend du CB est 0 */
X_DIGI_EVT( EVT_NET_ELT__APPEAR,			300,	"Apparition d'un Elt dans le rseau" )

/* le extend du CB est 0 */
X_DIGI_EVT( EVT_NET_ELT__DISAPPEAR,			301,	"Disparition d'un Elt du rseau" )

/* le extend du CB est un t_digiSample* */
X_DIGI_EVT( EVT_NET_ELT__SAMPLE_RECEIVE,	304,	"Rception d'un chantillon venant d'un lment du rseau" )

/* le extend du CB est 0 */
X_DIGI_EVT( EVT_NET_ELT__POWER_LOW,			310,	"La batterie d'un lment du rseau est sur sa fin" )

/* le extend du CB est 0 */
X_DIGI_EVT( EVT_NET_ELT__AWAKE,				320,	"Reveil d'un Elt dans le rseau" )

/* le extend du CB est 0 */
X_DIGI_EVT( EVT_NET_ELT__SLEEP,				321,	"Endormissement d'un Elt du rseau" )


#undef X_DIGI_EVT

